/form/:id/submission

Create a new submission for the specified form

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create a new submission for the specified form

POST /api/v2/form/12345/submission.json HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json

field_12345=Example&field_12346=Answer
curl -X POST -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" -d "field_12345=Example&field_12346=Answer" https://www.formstack.com/api/v2/form/12345/submission.json

field_x

For this parameter, x must contain the id of the field whose value should be set. For fields with subfields (name, address, etc), use array notation with each item being the subfield and each key being the name of that subfield.

var fields = {
  field_12345: {
    first: 'John',
    last: 'Smith'
  }
};

var query = "field_12345%5Bfirst%5D=John&field_12345%5Blast%5D=Smith";

File Uploads and Signatures

File uploads can be performed by simply base64 encoding the file data and sending that along as the value in the field_<field id> POST field. The filename can also be sent with the image data in the format "MyFileName.png;<base64 encoded file data for MyFileName.png>"

Signature are handled just like file uploads and are saved in our system as PNG files.

Path Params
int32
required

Form ID

Body Params
string
Defaults to User Agent Header

Browser user agent value that should be recorded for the submission

string
Defaults to Client IP

IP address that should be recorded for the submission

string

Status of a payment integration

boolean
Defaults to false

Flag to mark the submission as read

string
required

Value that should be stored for a specific field on the form. See notes below

string

The password used to decrypt your submissions. Without this value, you will only receive the submission ID and the success message when submitting encrypted forms.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json